# eric7.Plugins.VcsPlugins.vcsMercurial.HgRepoConfigDataDialog

Module implementing a dialog to enter data needed for the initial creation of a repository configuration file (hgrc).

### Global Attributes

None

### Classes

HgRepoConfigDataDialog | Class implementing a dialog to enter data needed for the initial creation of a repository configuration file (hgrc).

### Functions

None

## HgRepoConfigDataDialog

Class implementing a dialog to enter data needed for the initial creation of a repository configuration file (hgrc).

### Derived from

QDialog, Ui_HgRepoConfigDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgRepoConfigDataDialog | Constructor
getData | Public method to get the data entered into the dialog.
getLargefilesData | Public method to get the data for the largefiles extension.
on_defaultPushShowPasswordButton_clicked | Private slot to switch the default password visibility of the default push password.
on_defaultShowPasswordButton_clicked | Private slot to switch the default password visibility of the default password.

### Static Methods

None

#### HgRepoConfigDataDialog (Constructor)

HgRepoConfigDataDialog(withLargefiles=False, largefilesData=None, parent=None)

Constructor

withLargefiles
  flag indicating to configure the largefiles section (boolean)
largefilesData
  dictionary with data for the largefiles section (dict)
parent
  reference to the parent widget (QWidget)

#### HgRepoConfigDataDialog.getData

getData()

Public method to get the data entered into the dialog.

Return:
  tuple giving the default and default push URLs (tuple of two strings)

#### HgRepoConfigDataDialog.getLargefilesData

getLargefilesData()

Public method to get the data for the largefiles extension.

Return:
  tuple with the minimum file size (integer) and file patterns (list of string). None as value denote to use the default value.

#### HgRepoConfigDataDialog.on_defaultPushShowPasswordButton_clicked

on_defaultPushShowPasswordButton_clicked(checked)

Private slot to switch the default password visibility of the default push password.

checked
  state of the push button (boolean)

#### HgRepoConfigDataDialog.on_defaultShowPasswordButton_clicked

on_defaultShowPasswordButton_clicked(checked)

Private slot to switch the default password visibility of the default password.

checked
  state of the push button (boolean)

Up